Subject: bug#1817: 23.0.60; C-x RET c RET RET signals an error

From: Juri Linkov <[email-masked]>
Date: Wed, 07 Jan 2009 21:27:27 +0200

>> In response to the closed and archived bug#1205:
>
> You can unarchive it, as I did prior to this.

Thanks, I missed the `unarchive' command.

>>> +     (if (char-equal last-input-char ?\C-g)
>>> +     (keyboard-quit))
>>
>> I just noticed that this fix in `universal-coding-system-argument'
>> causes another bug.  It fails with the key sequence `C-x RET c RET RET'
>> that signals an error:
>>
>> Debugger entered--Lisp error: (wrong-type-argument characterp return)
>>   char-equal(return 7)
>
> It's suprising (to me) that last-input-char might not be a character,
> but just change `char-equal' to `equal'.

The variable name `last-input-char' is confusing.
It holds an input event, not just a character.
But as I see, its alias is `last-input-event'.
And (info "(elisp) Event Input Misc") says:

     The alias `last-input-char' exists for compatibility
     with Emacs version 18.

So I perhaps the doc string of `last-input-char' should say
that it is an alias for `last-input-event'?

-- 
Juri Linkov
http://www.jurta.org/emacs/